org.jboss.netty.handler.codec.http.websocketx

## Enum WebSocketFrameType

- java.lang.Object
- - java.lang.Enum<WebSocketFrameType>
  - - org.jboss.netty.handler.codec.http.websocketx.WebSocketFrameType

- All Implemented Interfaces:
    Serializable, Comparable<WebSocketFrameType>

      public enum WebSocketFrameType
      extends Enum<WebSocketFrameType>

  Type of web socket frames

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINARY`
    `CLOSE`
    `CONTINUATION`
    `PING`
    `PONG`
    `TEXT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WebSocketFrameType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WebSocketFrameType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXT

          public static final WebSocketFrameType TEXT

    - #### BINARY

          public static final WebSocketFrameType BINARY

    - #### PING

          public static final WebSocketFrameType PING

    - #### PONG

          public static final WebSocketFrameType PONG

    - #### CLOSE

          public static final WebSocketFrameType CLOSE

    - #### CONTINUATION

          public static final WebSocketFrameType CONTINUATION

  - ### Method Detail

    - #### values

          public static WebSocketFrameType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebSocketFrameType c : WebSocketFrameType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebSocketFrameType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2012 The Netty Project. All Rights Reserved.